Subject: Re: linux-next: Tree for Mar 20 (vmcore)

From: Randy Dunlap <[email-masked]>
Date: Wed, 20 Mar 2013 11:58:00 -0700

On 03/20/13 11:56, David Rientjes wrote:
> On Wed, 20 Mar 2013, Randy Dunlap wrote:
> 
>> on x86_64:
>>
>> fs/proc/vmcore.c: In function 'merge_note_headers_elf64':
>> fs/proc/vmcore.c:349:22: error: 'VMCOREINFO_NOTE_NAME' undeclared (first use in this function)
>> fs/proc/vmcore.c:349:22: note: each undeclared identifier is reported only once for each function it appears in
>> fs/proc/vmcore.c: In function 'merge_note_headers_elf32':
>> fs/proc/vmcore.c:470:22: error: 'VMCOREINFO_NOTE_NAME' undeclared (first use in this function)
>> make[3]: *** [fs/proc/vmcore.o] Error 1
>>
>>
>> Needs to #include <linux/kexec.h>
>>
> 
> I don't think that's it, linux/kexec.h already gets included indirectly.  
> The problem is that CONFIG_KEXEC isn't set so the definition in kexec.h is 
> meaningless.

Thanks.   I meant to check on CONFIG_KEXEC and then forgot to do that.

> This comes from "vmcore: check NT_VMCORE_PAD as a mark indicating the end 
> of ELF note buffer" merged through the -mm tree.  I've added the patch's 
> author and Andrew to the cc.
> 
> How can this be protected by CONFIG_KEXEC?
> --

-- 
~Randy